Amule su Raspberry e binutils

ciao a tutti, è da qualche tempo che quando si lancia un aggiornamento del sistema aggiorna anche binutils alla versione 2.24

quando lancio amuled -f mi esce l’errore:

amuled: error while loading shared libraries: libbfd-2.22-system.so: cannot open shared object file: No such file or directory

come avevo trovato in un post lancio: sudo apt-get install binutils=2.22-8

solitamente va tutto bene ma da oggi al comando sopra mi esce E: Version ‘2.22-8’ for ‘binutils’ was not found

è come se nei repository non ci fosse quella versione, possibile? ho aggiunto i repository ufficiali di debian, eseguo la procedura indicata sopra, sembra installare tutto ma quando lancio amuled -f mi dice illegal instruction

come ne esco fuori??? grazie mille!

per uscirne tranquillamente devi ricompilare amuled

1 Like

quindi seguendo la tua guida Guida alla compilazione di aMule AdunanzA su Raspberry PI

dovrei solo lanciare make e sudo make install?

bhè, non proprio, devi:

fare un upgrade della tua distribuzione
scaricare i sorgenti
lanciare il corretto configure
e poi make, sudo make install

ovvero devi seguire quella guida :wink:

grazie ha funzionato tutto!

p.s. ma l’incoveniente del binutils è possibile che si ripresenti con futuri update?

Esatto! Tutte le volte che cambiano le binutils (almeno cambi “seri”, non minor) devi ricompilare tutto.

Ciao,
Mr Hyde

1 Like